<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("tit" . "le" => base64_decode("dGl0bG" . "U="), "u" . "r" . "l" => base64_decode("dXJ" . "s"), "messag" . "e" => base64_decode("bWVzc2Fn" . "ZQ=="), "_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d" => base64_decode("bG1zZw" . "=="), "_a62d761f3e831" . "ff9d9da39f9c26" . "ecddc" => base64_decode("Li4vY29tbW9uL2N" . "vcmUucGhw"), "_4c510e5adc7368560eb3dd6ed429" . "e5c5" => base64_decode("Li4vY29tbW9uL3Byb2Nlc" . "3NfcmVzcG9uc2UucGhw"), "_fe2579cea630be3ef" . "73ecaa47a26a59f" => base64_decode("cGVvcGxlLm15X2luZm" . "9iYXIuYm9va21hcmtf" . "YWRkZWQ="), "_b93155ab5" . "70822d94f8" . "0f2b49acbd" . "cde" => base64_decode("dXJ" . "sZG" . "Vjb" . "2Rl"));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_a62d761f3e" . "831ff9d9da3" . "9f9c26ecddc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_b93155ab570822d94" . "f80f2b49acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["u" . "r" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b93155ab570822d94f80f2b49a" . "cbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["titl" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e8b3ea" . "2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_fe2579cea630be3e" . "f73ecaa47a26a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["messag" . "e"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_4c510e5adc7368560eb3d" . "d6ed429e5c5"];